smbios_biosinfo_t Struct Reference
Public interface » ID macros » SMBIOS structures

BIOS related information. More...

`#include <hd.h>`

## Data Fields

union u_hd_smbios_t * | next
hd_smbios_type_t | type
int | data_len
unsigned char * | data
str_list_t * | strings
int | handle
char * | vendor
| vendor name
char * | version
| version (free form)
char * | date
| date mm/dd/yyyy (old: yy)
hd_bitmap_t | feature
| BIOS characteristics.
unsigned | start
| start address
unsigned | rom_size
| ROM size (in bytes).

## Detailed Description

BIOS related information.

The documentation for this struct was generated from the following file:

- hd.h